%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
%global service designate
%global plugin designate-tempest-plugin
%global module designate_tempest_plugin

Name:       python-%{service}-tests-tempest
Version:    0.2.0
Release:    4%{?dist}
Provides:    python2-designate-tests-tempest = %{version}-%{release}
Summary:    Tempest Integration of Designate
License:    ASL 2.0
URL:        https://github.com/openstack/%{plugin}/

Source0:    https://tarballs.openstack.org/%{plugin}/%{plugin}-%{upstream_version}.tar.gz

# patches_ignore=DROP-IN-RPM
# patches_base=0.2.0
Patch0001: 0001-Revert-fix-tarball-setup.cfg.patch
Patch0002: 0002-Updated-from-global-requirements.patch
Patch0003: 0003-Use-the-new-tempest-module.patch
Patch0004: 0004-Remove-tempest-tests-for-APIv1-as-smoke-tests.patch
Patch0005: 0005-V1-API-is-removed-by-dfault-now.patch
Patch0006: 0006-Bump-test-timeout.patch
Patch0007: 0007-Add-Docs-for-plugin.patch
Patch0008: 0008-Fix-the-removal-of-skip_unless_config-decorator-in-T.patch
Patch0009: 0009-Fix-doc-typos-and-hacking-requirement.patch
Patch0010: 0010-Updated-from-global-requirements.patch
Patch0011: 0011-OSP11-Relax-pbr-version-req-in-setup.py.patch
Patch0012: 0012-update-designate-tempest-link.patch
Patch0013: 0013-Updated-from-global-requirements.patch
Patch0014: 0014-Declare-compatibility-with-python-3.5.patch
Patch0015: 0015-Updated-from-global-requirements.patch

BuildArch:  noarch

BuildRequires:  python2-devel
BuildRequires:  python-pbr
BuildRequires:  python-setuptools
BuildRequires:  git

Requires:   python-tempest >= 12.1.0
Requires:   python-dns >= 1.12.0
Requires:   python-ddt >= 1.0.1

%description
This package contains Tempest tests to cover the designate project.
Additionally it provides a plugin to automatically load these tests into tempest.

%prep
%autosetup -n %{plugin}-%{upstream_version} -S git

# Let's handle dependencies ourseleves
rm -f *requirements.txt

%build
CFLAGS="%{optflags}" %{__python} setup.py %{?py_setup_args} build --executable="%{__python2} -s"

%install
CFLAGS="%{optflags}" %{__python} setup.py %{?py_setup_args} install -O1 --skip-build --root %{buildroot}

%files
%license LICENSE
%{python2_sitelib}/%{module}
%{python2_sitelib}/%{module}-*.egg-info

%changelog
* Fri Aug 18 2017 Steve Linabery <slinaber@redhat.com> 0.2.0-4
- Declare compatibility with python 3.5
- update designate tempest link

* Tue Mar 21 2017 Steve Linabery <slinaber@redhat.com> 0.2.0-3
- Relax pbr version requirement in setup.py
- Updated from global requirements
- Fix doc typos and hacking requirement
- Fix the removal of skip_unless_config decorator in Tempest
- Add Docs for plugin
- Bump test timeout
- V1 API is removed by dfault now
- Remove tempest tests for APIv1 as smoke tests
- Use the new tempest module
- Updated from global requirements

* Wed Feb 15 2017 Alfredo Moralejo <amoralej@redhat.com> 0.2.0-1
- Update to 0.2.0

